CHSH(1)

NAME
chsh - ändert die Login-Shell

SYNOPSIS

chsh [Optionen] [LOGIN]

BESCHREIBUNG

chsh ändert die Login-Shell eines Benutzers. Es legt den Befehl fest, der bei der Anmeldung ausgeführt wird. Ein normaler Benutzer kann nur die Login-Shell seines eigenen Kontos ändern, während Root dies für alle Konten darf.

OPTIONEN

Die Optionen, die vom Befehl chsh unterstützt werden, sind:

-h, --help
    Zeigt die Hilfe an und beendet das Programm.

-s, --shellSHELL
    Der Name der neuen Login-Shell des Benutzers. Falls dieses Feld leer gelassen wird, verwendet das System die Standard-Login-Shell.

Wenn die Option -s nicht ausgewählt ist, wird chsh im interaktiven Modus betrieben. Dabei wird der Benutzer mit der aktuellen Login-Shell zur Eingabe einer neuen aufgefordert. Durch Eingabe eines Wertes wird die Shell geändert, während sie bei einer leeren Zeile beibehalten wird. Die aktuelle Shell wird zwischen einem Paar von [ ] angezeigt.

ANMERKUNGEN

Die einzige Beschränkung für die Login-Shell ist, dass der Name des Befehls in der Datei /etc/shells enthalten sein muss. Root darf allerdings jeden beliebigen Befehl ausführen. Bei Konten, denen eine beschränkte Login-Shell zugewiesen ist, ist es nicht möglich, die Login-Shell zu ändern. Daher ist es nicht ratsam, /bin/rsh in /etc/shells einzutragen, da ein Benutzer nicht zu seiner ursprünglichen Login-Shell zurückwechseln kann, falls er versehentlich eine beschränkte Shell als Login-Shell auswählt.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

CHSH_AUTH (boolean)
    If yes, the chsh program will require authentication before making any changes, unless run by the superuser.

LOGIN_STRING (string)
    The string used for prompting a password. The default is to use "Password: ", or a translation of that string. If you set this variable, the prompt will no be translated.

    If the string contains %s, this will be replaced by the user's name.

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten.

/etc/shells
    Liste der möglichen Login-Shells.

/etc/login.defs
    Konfiguration des Shadow-Passwort-Systems

SIEHE AUCH

chfn(1), login.defs(5), passwd(5).